<?xml version="1.0" encoding="UTF-8"?>
<DeployScript><Scripts><KScript><id>XrhzjeNF</id><number>bos_devp_openpage</number><cmb_ftype></cmb_ftype><scripttype>1</scripttype><scriptcontext></scriptcontext><context><![CDATA[require("kd.bos.sdk.KEnv");
require("kd.bos.sdk.orm.KQFilter");
require("kd.bos.form.StyleCss");
require("kd.bos.form.FormConfig");
/**
* @author 吴裕荣
* @date 2019-07-19
*/
var plugin = new FormPlugin({
	registerListener : function(e){
		this.addItemClickListeners("toolbarap");
	},
	itemClick : function(e){
		var key = e.getItemKey();
		switch(key){
			case "openformpage":
				this.openFormPage();
				break;
			case "openlistpage":
				this.openListPage();
				break;
            case "opentargetbill":
				this.openTargetBill();
				break;
        }
	},
	openFormPage : function(){
        var parameter = new FormShowParameter();
        parameter.setFormId("bos_devp_openlistpage");
        parameter.getOpenStyle().setShowType(ShowType.Modal);
        var formconfig = new FormConfig();
        formconfig.setWidth(new LocaleString("700"));
        formconfig.setHeight(new LocaleString("360"));
        formconfig.setEntityTypeId("bos_devp_openlistpage");
        parameter.setFormConfig(formconfig);
        this.getView().showForm(parameter);
    },
    openListPage : function(){
        BizScriptServiceHelper.saveScriptTraceLog("测试数据");
        var parameter = new ListShowParameter();
        parameter.setBillFormId("bos_devp_scriptoperatelog");
        var filterParameter = new ListFilterParameter();
		var qFilter = new QFilter("userid", "=", Env.getUserName());
		filterParameter.setFilter(qFilter);
		parameter.setListFilterParameter(filterParameter);
		var sc = new StyleCss();
		sc.setHeight("480px");
		sc.setWidth("850px");
		parameter.getOpenStyle().setInlineStyleCss(sc);
        parameter.getOpenStyle().setShowType(ShowType.Modal);
        this.getView().showForm(parameter);
    },
    openTargetBill : function(){
        var filter = new QFilter("name","=",Env.getUserName());
        var filters = [filter];
        var datas = BusinessDataServiceHelper.load("bos_user","id,data",filters);
        var id = datas[0].getString("id");
        var parameter = new BillShowParameter();
      	parameter.getOpenStyle().setShowType(ShowType.Modal);
      	parameter.setFormId("bos_user");
        parameter.setPkId(id);
      	this.getView().showForm(parameter);
    }
});]]></context><bizappid>83bfebc800003dac</bizappid><bizunitid>10QKP71OR9NZ</bizunitid><scriptname>bos_devp_openpage</scriptname><creater_id>809924</creater_id><createdate>1563516685000</createdate><modifydate>1563522402000</modifydate><modifier_id>809924</modifier_id><isv>kingdee</isv><classname>kingdee.dev.devportal.scriptdemo.bos_devp_openpage</classname></KScript></Scripts><BOSVersion>1.0</BOSVersion></DeployScript>